[SciPy-dev] sandbox package arpack

Nils Wagner nwagner@iam.uni-stuttgart...
Tue Sep 11 13:53:22 CDT 2007


On Tue, 11 Sep 2007 11:56:51 -0500
  Robert Kern <robert.kern@gmail.com> wrote:
> Nils Wagner wrote:
>> Hi all,
>> 
>> The sandbox package *arpack* has no entry in setup.py 
>>(from svn). Is
>> this a bug ?
> 
> No. Use an enabled_packages.txt file.
> 
> -- 
> Robert Kern
> 
> "I have come to believe that the whole world is an 
>enigma, a harmless enigma
> that is made terrible by our own mad attempt to 
>interpret it as though it had
> an underlying truth."
>  -- Umberto Eco
> _______________________________________________
> Scipy-dev mailing list
> Scipy-dev@scipy.org
> http://projects.scipy.org/mailman/listinfo/scipy-dev

  
Hi Robert,

Thank you ! Now it works for me. I have removed an
empty line at the end of enabled_packages.txt.

BTW, when I import the sandbox package multigrid I get
Python 2.5 (r25:51908, May 25 2007, 16:11:33)
[GCC 4.1.2 20061115 (prerelease) (SUSE Linux)] on linux2
Type "help", "copyright", "credits" or "license" for more 
information.
>>> from scipy.sandbox import multigrid
Traceback (most recent call last):
   File "<stdin>", line 1, in <module>
   File 
"/usr/local/lib64/python2.5/site-packages/scipy/sandbox/multigrid/__init__.py", 
line 5, in <module>
     from multilevel import *
   File 
"/usr/local/lib64/python2.5/site-packages/scipy/sandbox/multigrid/multilevel.py", 
line 11, in <module>
     from coarsen import sa_interpolation,rs_interpolation
   File 
"/usr/local/lib64/python2.5/site-packages/scipy/sandbox/multigrid/coarsen.py", 
line 6, in <module>
     from utils import diag_sparse,infinity_norm
   File 
"/usr/local/lib64/python2.5/site-packages/scipy/sandbox/multigrid/utils.py", 
line 3, in <module>
     import numpy,scipy,scipy.sparse,scipy.weave
   File 
"/usr/local/lib64/python2.5/site-packages/scipy/weave/__init__.py", 
line 9, in <module>
     from blitz_tools import blitz
   File 
"/usr/local/lib64/python2.5/site-packages/scipy/weave/blitz_tools.py", 
line 7, in <module>
     import converters
   File 
"/usr/local/lib64/python2.5/site-packages/scipy/weave/converters.py", 
line 39, in <module>
     default.append(numpy_scalar_spec.numpy_complex_scalar_converter())
   File 
"/usr/local/lib64/python2.5/site-packages/scipy/weave/c_spec.py", 
line 74, in __init__
     self.init_info()
   File 
"/usr/local/lib64/python2.5/site-packages/scipy/weave/numpy_scalar_spec.py", 
line 19, in init_info
     self.matching_types = [numpy.complex128, 
numpy.complex192,
AttributeError: 'module' object has no attribute 
'complex192'

Nils


More information about the Scipy-dev mailing list